Index: /code/trunk/src/modules/gametypes/RaceCheckPoint.cc
===================================================================
--- /code/trunk/src/modules/gametypes/RaceCheckPoint.cc	(revision 8766)
+++ /code/trunk/src/modules/gametypes/RaceCheckPoint.cc	(revision 8767)
@@ -31,11 +31,12 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "util/Convert.h"
+
 #include "SpaceRace.h"
-#include "util/Convert.h"
 
 namespace orxonox
 {
     CreateFactory(RaceCheckPoint);
-    
+
     RaceCheckPoint::RaceCheckPoint(BaseObject* creator): DistanceTrigger(creator), RadarViewable(creator, static_cast<WorldEntity*>(this))
     {
@@ -50,9 +51,9 @@
         this->setRadarVisibility(false);
     }
-    
+
     RaceCheckPoint::~RaceCheckPoint()
     {
     }
-    
+
     void RaceCheckPoint::tick(float dt)
     {
@@ -60,4 +61,5 @@
 
         SpaceRace* gametype = orxonox_cast<SpaceRace*>(this->getGametype().get());
+        assert(gametype);
         if (this->getCheckpointIndex() == gametype->getCheckpointsReached())
             this->setRadarVisibility(true);
@@ -66,5 +68,4 @@
     }
 
-    
     void RaceCheckPoint::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -75,5 +76,5 @@
         XMLPortParam(RaceCheckPoint, "timelimit", setTimelimit, getTimeLimit, xmlelement, mode).defaultValues(0);
     }
-    
+
     void RaceCheckPoint::triggered(bool bIsTriggered)
     {
@@ -99,5 +100,5 @@
         }
     }
-    
+
     void RaceCheckPoint::setTimelimit(float timeLimit)
     {
@@ -115,4 +116,4 @@
         }
     }
-    
+
 }
Index: /code/trunk/src/modules/gametypes/RaceCheckPoint.h
===================================================================
--- /code/trunk/src/modules/gametypes/RaceCheckPoint.h	(revision 8766)
+++ /code/trunk/src/modules/gametypes/RaceCheckPoint.h	(revision 8767)
@@ -34,13 +34,12 @@
 #include "objects/triggers/DistanceTrigger.h"
 #include "interfaces/RadarViewable.h"
-//#include <boost/concept_check.hpp>
 
 namespace orxonox
 {
-  /**
-  @brief
-    The RaceCheckPoint class enables the creation of a check point to use in a SpaceRace level.
-    !!! Don't forget to control the indexes of your check points and to set one last check point!!!
-  */
+    /**
+    @brief
+        The RaceCheckPoint class enables the creation of a check point to use in a SpaceRace level.
+        !!! Don't forget to control the indexes of your check points and to set one last check point!!!
+    */
     class _GametypesExport RaceCheckPoint : public DistanceTrigger, public RadarViewable
     {
Index: /code/trunk/src/modules/gametypes/SpaceRace.cc
===================================================================
--- /code/trunk/src/modules/gametypes/SpaceRace.cc	(revision 8766)
+++ /code/trunk/src/modules/gametypes/SpaceRace.cc	(revision 8767)
@@ -31,24 +31,23 @@
 #include "core/CoreIncludes.h"
 #include "network/Host.h"
-#include <util/Clock.h>
-#include <util/Math.h>
 #include "util/Convert.h"
+#include "util/Math.h"
 
 namespace orxonox
 {
     CreateUnloadableFactory(SpaceRace);
-    
+
     SpaceRace::SpaceRace(BaseObject* creator) : Gametype(creator)
     {
         RegisterObject(SpaceRace);
-        this->bCheckpointsReached_ = 0;
+        this->checkpointsReached_ = 0;
         this->bTimeIsUp_ = false;
         this->numberOfBots_ = 0;
     }
-    
+
     void SpaceRace::end()
     {
         this->Gametype::end();
-          
+
         if (this->bTimeIsUp_)
         {
@@ -57,9 +56,8 @@
             int ms = this->clock_.getMilliseconds()-1000*s;
             const std::string& message = multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms) + " seconds !!\n"
-                        + "You didn't reach the check point " + multi_cast<std::string>(this->bCheckpointsReached_+1)
+                        + "You didn't reach the check point " + multi_cast<std::string>(this->checkpointsReached_+1)
                         + " before the time limit. You lose!";
             COUT(3) << message;
             const_cast<GametypeInfo*>(this->getGametypeInfo())->sendAnnounceMessage(message);
-            Host::Broadcast(message);
         }
         else
@@ -72,5 +70,4 @@
             COUT(3) << message << std::endl;
             const_cast<GametypeInfo*>(this->getGametypeInfo())->sendAnnounceMessage(message);
-            Host::Broadcast(message);
             float time = this->clock_.getSecondsPrecise();
             this->scores_.insert(time);
@@ -87,10 +84,10 @@
         std::string message("The match has started! Reach the check points as quickly as possible!");
         COUT(3) << message << std::endl;
-        Host::Broadcast(message);
+        const_cast<GametypeInfo*>(this->getGametypeInfo())->sendAnnounceMessage(message);
     }
-    
+
     void SpaceRace::newCheckpointReached()
     {
-        this->bCheckpointsReached_++;
+        this->checkpointsReached_++;
         this->clock_.capture();
         int s = this->clock_.getSeconds();
@@ -101,5 +98,4 @@
         COUT(3) << message;
         const_cast<GametypeInfo*>(this->getGametypeInfo())->sendAnnounceMessage(message);
-        Host::Broadcast(message);
     }
 
Index: /code/trunk/src/modules/gametypes/SpaceRace.h
===================================================================
--- /code/trunk/src/modules/gametypes/SpaceRace.h	(revision 8766)
+++ /code/trunk/src/modules/gametypes/SpaceRace.h	(revision 8767)
@@ -30,11 +30,14 @@
 #define _SpaceRace_H__
 
+#include "gametypes/GametypesPrereqs.h"
+
+#include <set>
+#include <string>
+
+#include <util/Clock.h>
+
 #include "gametypes/Gametype.h"
-#include "gametypes/GametypesPrereqs.h"
+
 #include "RaceCheckPoint.h"
-#include <boost/concept_check.hpp>
-#include <util/Clock.h>
-#include <string.h>
-#include <set>
 
 namespace orxonox
@@ -47,5 +50,5 @@
     {
         friend class RaceCheckPoint;
-        
+
         public:
             SpaceRace(BaseObject* creator);
@@ -53,19 +56,19 @@
 
             virtual void start();
-                virtual void end();
+            virtual void end();
 
             virtual void newCheckpointReached();
 
             inline void setCheckpointsReached(int n)
-            { this->bCheckpointsReached_ = n;}
+                { this->checkpointsReached_ = n;}
             inline int getCheckpointsReached()
-            { return this->bCheckpointsReached_; }
+                { return this->checkpointsReached_; }
             inline void timeIsUp()
-            { this->bTimeIsUp_ = true;}
+                { this->bTimeIsUp_ = true;}
 
         protected:
 
         private:
-            int bCheckpointsReached_; //The current number of check points reached by the player.
+            int checkpointsReached_; //The current number of check points reached by the player.
             std::set<float> scores_; //The times of the players are saved in a set.
             bool bTimeIsUp_; //True if one of the check points is reached too late.
Index: /code/trunk/src/modules/objects/SpaceBoundaries.cc
===================================================================
--- /code/trunk/src/modules/objects/SpaceBoundaries.cc	(revision 8766)
+++ /code/trunk/src/modules/objects/SpaceBoundaries.cc	(revision 8767)
@@ -58,5 +58,5 @@
         {
             this->pawnsIn_.clear();
-        
+
             for( std::vector<BillboardAdministration>::iterator current = this->billboards_.begin(); current != this->billboards_.end(); current++)
             {
@@ -69,5 +69,5 @@
         }
     }
-    
+
     void SpaceBoundaries::checkWhoIsIn()
     {
@@ -94,5 +94,5 @@
         }
     }
-    
+
     void SpaceBoundaries::positionBillboard(const Vector3& position, float alpha)
     {
@@ -124,5 +124,5 @@
         this->billboards_[current].billy->setCommonUpVector(upVector);
     }
-    
+
     void SpaceBoundaries::setBillboardOptions(Billboard *billy)
     {
@@ -135,5 +135,5 @@
         }
     }
-    
+
     void SpaceBoundaries::removeAllBillboards()
     {
@@ -144,5 +144,5 @@
         }
     }
-    
+
     void SpaceBoundaries::setMaxDistance(float r)
     {
@@ -153,5 +153,5 @@
         return this->maxDistance_;
     }
-    
+
     void SpaceBoundaries::setWarnDistance(float r)
     {
@@ -162,5 +162,5 @@
         return this->warnDistance_;
     }
-    
+
     void SpaceBoundaries::setShowDistance(float r)
     {
@@ -171,5 +171,5 @@
         return this->showDistance_;
     }
-    
+
     void SpaceBoundaries::setHealthDecrease(float amount)
     {
@@ -180,5 +180,5 @@
         return this->healthDecrease_;
     }
-    
+
     void SpaceBoundaries::setReaction(int mode)
     {
@@ -200,10 +200,10 @@
         XMLPortParam(SpaceBoundaries, "reactionMode", setReaction, getReaction, xmlelement, mode);
     }
-    
+
     void SpaceBoundaries::tick(float dt)
     {
         this->checkWhoIsIn();
         this->removeAllBillboards();
-        
+
         float distance;
         bool humanItem;
@@ -247,5 +247,5 @@
         }
     }
-    
+
     float SpaceBoundaries::computeDistance(WorldEntity *item)
     {
@@ -258,21 +258,21 @@
         }
     }
-    
+
     void SpaceBoundaries::displayWarning(const std::string warnText)
-    {   
+    {
         // TODO
     }
-    
+
     void SpaceBoundaries::displayBoundaries(Pawn *item, float alpha)
     {
-        
+
         Vector3 direction = item->getPosition() - this->getPosition();
         direction.normalise();
-        
+
         Vector3 boundaryPosition = this->getPosition() + direction * this->maxDistance_;
-        
+
         this->positionBillboard(boundaryPosition, alpha);
     }
-    
+
     void SpaceBoundaries::conditionalBounceBack(Pawn *item, float currentDistance, float dt)
     {
@@ -281,5 +281,5 @@
         Vector3 velocity = item->getVelocity();
         float normalSpeed = item->getVelocity().dotProduct(normal);
-        
+
         /* Check, whether the Pawn would leave the boundary in the next tick, if so send it back. */
         if( this->reaction_ == 0 && currentDistance + normalSpeed * dt > this->maxDistance_ - 10 ) // -10: "security measure"
@@ -292,5 +292,5 @@
         }
     }
-    
+
     void SpaceBoundaries::bounceBack(Pawn *item, Vector3 *normal, Vector3 *velocity)
     {
@@ -299,13 +299,13 @@
         Vector3 acceleration = item->getAcceleration();
         acceleration = acceleration.reflect(*normal);
-        
+
         item->lookAt( *velocity + this->getPosition() );
-        
+
         item->setAcceleration(acceleration * dampingFactor);
         item->setVelocity(*velocity * dampingFactor);
-        
+
         item->setPosition( item->getPosition() - *normal * 10 ); // Set the position of the Pawn to be well inside the boundary.
     }
-    
+
     bool SpaceBoundaries::isHumanPlayer(Pawn *item)
     {
@@ -319,4 +319,4 @@
         return false;
     }
-    
+
 }
Index: /code/trunk/src/modules/objects/SpaceBoundaries.h
===================================================================
--- /code/trunk/src/modules/objects/SpaceBoundaries.h	(revision 8766)
+++ /code/trunk/src/modules/objects/SpaceBoundaries.h	(revision 8767)
@@ -45,33 +45,32 @@
 {
 
-/**
-@brief SpaceBoundaries gives level creators the possibility to bar Pawns from leaving a defined area (until now this area is a ball).
+    /**
+    @brief SpaceBoundaries gives level creators the possibility to bar Pawns from leaving a defined area (until now this area is a ball).
 
-       Some attributes can/should be defined in the XML-File:
-       - 'position' : absolute position of the object of SpaceBoundaries in the level (usually 0,0,0) 
-       - 'maxDistance' : defines the area, where a pawn is allowed to be (radius of a ball).
-       - 'warnDistance' : If the distance between the pawn of the human player and 'position' is bigger than 'warnDistance', a message is displayed to
-                          inform the player that he'll soon be leaving the allowed area. (not implemented yet!)
-       - 'showDistance' : If the distance between the pawn and the boundary of the allowed area is smaller than 'showDistance', the boundary is shown. 
-       - 'reactionMode' : Integer-Value. Defines what effect appears if a space ship has crossed the boundaries.
-                            0: Reflect the space ship (default).
-                            1: Decrease Health of the space ship after having left the allowed area.
-                            2: Inverted Version of 0. Prohibit to fly INTO a defined area.
-       - 'healthDecrease' : a measure to define how fast the health of a pawn should decrease after leaving the allowed area (unnecessary if 'reactionMode' == 0).
-                            Recommended values: 0.1 (slow health decrease) to 5 (very fast health decrease)
+        Some attributes can/should be defined in the XML-File:
+        - 'position' : absolute position of the object of SpaceBoundaries in the level (usually 0,0,0)
+        - 'maxDistance' : defines the area, where a pawn is allowed to be (radius of a ball).
+        - 'warnDistance' : If the distance between the pawn of the human player and 'position' is bigger than 'warnDistance', a message is displayed to
+                            inform the player that he'll soon be leaving the allowed area. (not implemented yet!)
+        - 'showDistance' : If the distance between the pawn and the boundary of the allowed area is smaller than 'showDistance', the boundary is shown.
+        - 'reactionMode' : Integer-Value. Defines what effect appears if a space ship has crossed the boundaries.
+                                0: Reflect the space ship (default).
+                                1: Decrease Health of the space ship after having left the allowed area.
+                                2: Inverted Version of 0. Prohibit to fly INTO a defined area.
+        - 'healthDecrease' : a measure to define how fast the health of a pawn should decrease after leaving the allowed area (unnecessary if 'reactionMode' == 0).
+                                Recommended values: 0.1 (slow health decrease) to 5 (very fast health decrease)
 
-Follow http://www.orxonox.net/wiki/SpaceBoundaries to get some further information.
+        Follow http://www.orxonox.net/wiki/SpaceBoundaries to get some further information.
 
-Examples:
-Two examples how one could include SpaceBoundaries in the XML-File. The first one uses reflection, the second one health decrease.
-@code
-<SpaceBoundaries position="0,0,0" maxDistance="1000" warnDistance="800" showDistance="100" reactionMode="0" />
-@endcode
+        Examples:
+        Two examples how one could include SpaceBoundaries in the XML-File. The first one uses reflection, the second one health decrease.
+        @code
+        <SpaceBoundaries position="0,0,0" maxDistance="1000" warnDistance="800" showDistance="100" reactionMode="0" />
+        @endcode
 
-@code
-<SpaceBoundaries position="0,0,0" maxDistance="1000" warnDistance="800" showDistance="100" reactionMode="1" healthDecrease="0.2" />
-@endcode
-*/
-
+        @code
+        <SpaceBoundaries position="0,0,0" maxDistance="1000" warnDistance="800" showDistance="100" reactionMode="1" healthDecrease="0.2" />
+        @endcode
+    */
     class _ObjectsExport SpaceBoundaries : public StaticEntity, public Tickable
     {
@@ -79,32 +78,32 @@
             SpaceBoundaries(BaseObject* creator);
             ~SpaceBoundaries();
-            
+
             void setMaxDistance(float r);
             float getMaxDistance();
-            
+
             void setWarnDistance(float r);
             float getWarnDistance();
-            
+
             void setShowDistance(float r);
             float getShowDistance();
-            
+
             void setHealthDecrease(float amount);
             float getHealthDecrease();
-            
+
             void setReaction(int mode);
             int getReaction();
 
             void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            
+
             void tick(float dt);
 
         private:
             struct BillboardAdministration{ bool usedYet; Billboard* billy; };
-            
+
             // Variabeln::
             std::list<WeakPtr<Pawn> > pawnsIn_; //!< List of the pawns that this instance of SpaceBoundaries has to handle.
-            
+
             std::vector<BillboardAdministration> billboards_;
-        
+
             int reaction_; //!< Values: 0, 1, 2.
                            //!< 0: Reflection on boundary (Standard).
@@ -114,9 +113,9 @@
             float warnDistance_; //!< Distance in which a warning is displayed.
             float showDistance_; //!< Distance at which the boundaries are displayed.
-            
+
             float healthDecrease_; //!< Rate of health loss.
-            
+
             //RadarViewable* centerRadar_; //!< Representation of the space boundary in the radar.
-        
+
             // Funktionen::
             float computeDistance(WorldEntity *item); //!< Compute distance to center point.
@@ -126,11 +125,10 @@
             void bounceBack(Pawn *item, Vector3 *normal, Vector3 *velocity);
             bool isHumanPlayer(Pawn *item);
-            
+
             void checkWhoIsIn(); //!< Update the list 'pawnsIn_'.
-            
+
             void positionBillboard(const Vector3& position, float alpha); //!< Display a Billboard at the position 'position'.
             void setBillboardOptions(Billboard *billy);
             void removeAllBillboards(); //!< Hide all elements of '*billboard_' and set their attribute 'usedYet' to 0.
-            
     };
 }
Index: /code/trunk/src/modules/portals/PortalEndPoint.cc
===================================================================
--- /code/trunk/src/modules/portals/PortalEndPoint.cc	(revision 8766)
+++ /code/trunk/src/modules/portals/PortalEndPoint.cc	(revision 8767)
@@ -28,14 +28,20 @@
 
 #include "PortalEndPoint.h"
+
+#include <ctime>
+
+#include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+
+#include "worldentities/MobileEntity.h"
+
 #include "objects/triggers/MultiTriggerContainer.h"
+
 #include "portals/PortalLink.h"
-#include "worldentities/MobileEntity.h"
-#include <ctime>
 
 namespace orxonox
 {
     CreateFactory(PortalEndPoint);
-    
+
     /*static*/ const std::string PortalEndPoint::EVENTFUNCTIONNAME = "execute";
 
@@ -45,8 +51,8 @@
     {
         RegisterObject(PortalEndPoint);
-        
+
         this->trigger_ = new DistanceMultiTrigger(this);
         this->trigger_->setName("portal");
-        this->attach(trigger_);
+        this->attach(this->trigger_);
 
         this->setRadarObjectColour(ColourValue::White);
@@ -54,5 +60,5 @@
         this->setRadarVisibility(true);
     }
-    
+
     PortalEndPoint::~PortalEndPoint()
     {
@@ -64,5 +70,5 @@
     {
         SUPER(PortalEndPoint, XMLPort, xmlelement, mode);
-        
+
         XMLPortParam(PortalEndPoint, "id", setID, getID, xmlelement, mode);
         XMLPortParam(PortalEndPoint, "design", setTemplate, getTemplate, xmlelement, mode);
@@ -70,8 +76,8 @@
         XMLPortParamExtern(PortalEndPoint, DistanceMultiTrigger, this->trigger_, "distance", setDistance, getDistance, xmlelement, mode);
         XMLPortParamLoadOnly(PortalEndPoint, "target", setTarget, xmlelement, mode).defaultValues("Pawn");
-        
+
         // Add the DistanceMultiTrigger as event source.
         this->addEventSource(this->trigger_, EVENTFUNCTIONNAME);
-        
+
         if(mode == XMLPort::LoadObject)
         {
@@ -83,5 +89,5 @@
     {
         SUPER(PortalEndPoint, XMLEventPort, xmlelement, mode);
-        
+
         XMLPortEventSink(PortalEndPoint, BaseObject, EVENTFUNCTIONNAME, execute, xmlelement, mode);
     }
@@ -91,9 +97,9 @@
         if(!this->isActive())
             return true;
-        
+
         MultiTriggerContainer * cont = orxonox_cast<MultiTriggerContainer *>(trigger);
         if(cont == 0)
             return true;
-        
+
         DistanceMultiTrigger * originatingTrigger = orxonox_cast<DistanceMultiTrigger *>(cont->getOriginator());
         if(originatingTrigger == 0)
@@ -101,9 +107,9 @@
             return true;
         }
-        
+
         MobileEntity * entity = orxonox_cast<MobileEntity *>(cont->getData());
         if(entity == 0)
             return true;
-        
+
         if(bTriggered)
         {
@@ -117,5 +123,5 @@
             this->recentlyJumpedOut_.erase(entity);
         }
-        
+
         return true;
     }
@@ -124,5 +130,5 @@
     {
         SUPER(PortalEndPoint, changedActivity);
-        
+
         this->setRadarVisibility(this->isActive());
     }
Index: /code/trunk/src/modules/portals/PortalEndPoint.h
===================================================================
--- /code/trunk/src/modules/portals/PortalEndPoint.h	(revision 8766)
+++ /code/trunk/src/modules/portals/PortalEndPoint.h	(revision 8767)
@@ -38,14 +38,13 @@
 #include "portals/PortalsPrereqs.h"
 
+#include <map>
 #include <set>
 #include <string>
-#include <map>
+
+#include "core/EventIncludes.h"
 
 #include "worldentities/StaticEntity.h"
 #include "interfaces/RadarViewable.h"
-#include "graphics/Billboard.h"
 #include "objects/triggers/DistanceMultiTrigger.h"
-#include "core/EventIncludes.h"
-#include <ctime>
 
 namespace orxonox
@@ -54,8 +53,8 @@
      @brief
      A PortalEndPoint serves as portal entrance and/or exit.
-     
+
      @ingroup Portals
      */
-    
+
     class _PortalsExport PortalEndPoint : public StaticEntity, public RadarViewable
     {
@@ -63,11 +62,11 @@
             PortalEndPoint(BaseObject* creator);
             virtual ~PortalEndPoint();
-            
+
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
             virtual void changedActivity(void);
-            
+
             inline void setTarget(const std::string & target)                 //!< add types which are allowed to activate the PortalEndPoint
                 { this->trigger_->addTarget(target); }
-            
+
             void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
             static std::map<unsigned int, PortalEndPoint *> idMap_s; //!< Maps the id of each PortalEndPoint to a pointer to that PortalEndPoint
@@ -78,8 +77,8 @@
             inline void setID(unsigned int id)
                 { this->id_ = id; }
-            
+
             inline unsigned int getID() const
                 { return this->id_; }
-            
+
             /// \brief Set templateName_ (the name of the design Template) and add that Template to this Object
             inline void setTemplate(const std::string & name)
@@ -99,5 +98,5 @@
              * \param entity The Entity which should jump out of this portal */
             void jumpOut(MobileEntity * entity);
-            
+
             /** \brief Tells wether a certain Entity is allowed to enter the PortalEndPoint?
                 @return @c true if the entity not just came out of this portal and the reenterDelay has expired for it, @c false otherwise
@@ -105,8 +104,8 @@
             bool letsEnter(MobileEntity* entity);
         protected:
-            
+
         private:
             static const std::string EVENTFUNCTIONNAME; //!< = "execute"
-            
+
             unsigned int id_;            //!< the hopefully (depends on the writer of the levelfile) unique id, which is used to establish links between PortalEndPoints
             DistanceMultiTrigger * trigger_;      //!< the DistanceMultiTrigger which notices near entities of the defined type
Index: /code/trunk/src/modules/portals/PortalLink.cc
===================================================================
--- /code/trunk/src/modules/portals/PortalLink.cc	(revision 8766)
+++ /code/trunk/src/modules/portals/PortalLink.cc	(revision 8767)
@@ -28,6 +28,8 @@
 
 #include "PortalLink.h"
+
+#include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/triggers/MultiTriggerContainer.h"
+
 #include "worldentities/MobileEntity.h"
 
@@ -37,15 +39,15 @@
 
     std::map<PortalEndPoint *, PortalEndPoint *> PortalLink::links_s;
-    
+
     PortalLink::PortalLink(BaseObject* creator) : BaseObject(creator), fromID_(0), toID_(0), from_(0), to_(0)
     {
         RegisterObject(PortalLink);
     }
-    
+
     PortalLink::~PortalLink()
     {
-        
+
     }
-    
+
     void PortalLink::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -54,4 +56,5 @@
         XMLPortParam(PortalLink, "toID", setToID, getToID, xmlelement, mode);
 
+        // Beware: This means, that the PortalEndPoints must exist before the PortalLink is created.
         if(mode == XMLPort::LoadObject)
         {
@@ -65,10 +68,7 @@
     {
         if(entrance == 0)
-        {
             return;
-        }
-        
+
         std::map<PortalEndPoint *, PortalEndPoint *>::iterator endpoints = PortalLink::links_s.find(entrance);
-        
         if(endpoints == PortalLink::links_s.end())  // entrance has no corresponding exit
             return;
Index: /code/trunk/src/modules/portals/PortalLink.h
===================================================================
--- /code/trunk/src/modules/portals/PortalLink.h	(revision 8766)
+++ /code/trunk/src/modules/portals/PortalLink.h	(revision 8767)
@@ -37,10 +37,10 @@
 
 #include "portals/PortalsPrereqs.h"
-#include "tools/interfaces/Tickable.h"
-#include "core/BaseObject.h"
-#include "PortalEndPoint.h"
-#include "objects/eventsystem/EventListener.h"
 
 #include <map>
+
+#include "PortalEndPoint.h"
+
+#include "core/BaseObject.h"
 
 namespace orxonox
@@ -57,20 +57,13 @@
             virtual ~PortalLink();
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+
             inline void setFromID(unsigned int from)    //!< set the ID of the PortalEndPoint which should act as the entrance of this link
-            {
-                this->fromID_ = from;
-            }
+                { this->fromID_ = from; }
             inline unsigned int getFromID(unsigned int) const
-            {
-                return this->fromID_;
-            }
+                { return this->fromID_; }
             inline void setToID(unsigned int to)     //!< set the ID of the PortalEndPoint which should act as the exit of this link
-            {
-                this->toID_ = to;
-            }
+                { this->toID_ = to; }
             inline unsigned int getToID(unsigned int) const
-            {
-                return this->toID_;
-            }
+                { return this->toID_; }
             /*! \brief Let an entity enter a certain PortalEndPoint
                 \param entity pointer to the entity which is entering a PortalEndPoint
Index: /code/trunk/src/modules/weapons/projectiles/BasicProjectile.cc
===================================================================
--- /code/trunk/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 8766)
+++ /code/trunk/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 8767)
@@ -52,7 +52,7 @@
         // Default damage must be zero, otherwise it would be above zero if no settings are made in the weaponsettings xml file.
         // same thing for all weaponmodes files
-        this->damage_ = 0;
-        this->healthdamage_ = 0;
-        this->shielddamage_ = 0;
+        this->damage_ = 0.0f;
+        this->healthdamage_ = 0.0f;
+        this->shielddamage_ = 0.0f;
     }
 