Index: code/branches/output/src/libraries/util/output/LogWriter.cc
===================================================================
--- code/branches/output/src/libraries/util/output/LogWriter.cc	(revision 8775)
+++ code/branches/output/src/libraries/util/output/LogWriter.cc	(revision 8776)
@@ -83,5 +83,5 @@
 
         if (this->bDefaultPath_)
-            OutputManager::getInstanceInternal().pushMessage(level::user_info, context::output, "Opening log file " + name);
+            OutputManager::getInstance().pushMessage(level::user_info, context::output, "Opening log file " + name);
 
         this->file_.open(name.c_str(), std::fstream::out);
Index: code/branches/output/src/libraries/util/output/MemoryWriter.cc
===================================================================
--- code/branches/output/src/libraries/util/output/MemoryWriter.cc	(revision 8775)
+++ code/branches/output/src/libraries/util/output/MemoryWriter.cc	(revision 8776)
Index: code/branches/output/src/libraries/util/output/OutputListener.cc
===================================================================
--- code/branches/output/src/libraries/util/output/OutputListener.cc	(revision 8775)
+++ code/branches/output/src/libraries/util/output/OutputListener.cc	(revision 8776)
@@ -40,10 +40,10 @@
         this->contextMask_ = context::all;
 
-        OutputManager::getInstanceInternal().registerListener(this);
+        OutputManager::getInstance().registerListener(this);
     }
 
     OutputListener::~OutputListener()
     {
-        OutputManager::getInstanceInternal().unregisterListener(this);
+        OutputManager::getInstance().unregisterListener(this);
     }
 
@@ -67,5 +67,5 @@
         this->levelMask_ = mask;
 
-        OutputManager::getInstanceInternal().updateCombinedLevelMask();
+        OutputManager::getInstance().updateCombinedLevelMask();
     }
 
@@ -74,5 +74,5 @@
         this->contextMask_ = mask;
 
-        OutputManager::getInstanceInternal().updateCombinedContextMask();
+        OutputManager::getInstance().updateCombinedContextMask();
     }
 }
Index: code/branches/output/src/libraries/util/output/OutputManager.cc
===================================================================
--- code/branches/output/src/libraries/util/output/OutputManager.cc	(revision 8775)
+++ code/branches/output/src/libraries/util/output/OutputManager.cc	(revision 8776)
@@ -69,5 +69,11 @@
     /*static*/ OutputManager& OutputManager::getInstance()
     {
-        static OutputManager& instance = OutputManager::getInstanceInternal();
+        static OutputManager instance;
+        return instance;
+    }
+
+    /*static*/ OutputManager& OutputManager::getInstanceAndCreateListeners()
+    {
+        static OutputManager& instance = OutputManager::getInstance();
 
         static ConsoleOutput consoleOutputInstance;
@@ -75,10 +81,4 @@
         static LogWriter& logWriterInstance = LogWriter::getInstance(); (void)logWriterInstance;
 
-        return instance;
-    }
-
-    /*static*/ OutputManager& OutputManager::getInstanceInternal()
-    {
-        static OutputManager instance;
         return instance;
     }
Index: code/branches/output/src/libraries/util/output/OutputManager.h
===================================================================
--- code/branches/output/src/libraries/util/output/OutputManager.h	(revision 8775)
+++ code/branches/output/src/libraries/util/output/OutputManager.h	(revision 8776)
@@ -48,5 +48,5 @@
         public:
             static OutputManager& getInstance();
-            static OutputManager& getInstanceInternal();
+            static OutputManager& getInstanceAndCreateListeners();
 
             void pushMessage(OutputLevel level, OutputContext context, const std::string& message);
Index: code/branches/output/src/libraries/util/output/OutputStream.cc
===================================================================
--- code/branches/output/src/libraries/util/output/OutputStream.cc	(revision 8775)
+++ code/branches/output/src/libraries/util/output/OutputStream.cc	(revision 8776)
@@ -44,5 +44,5 @@
     void OutputStream::sendMessage()
     {
-        OutputManager::getInstance().pushMessage(this->level_, this->context_, this->str());
+        OutputManager::getInstanceAndCreateListeners().pushMessage(this->level_, this->context_, this->str());
         this->str("");
     }
@@ -53,5 +53,5 @@
         this->context_ = context;
 
-        this->bAcceptsOutput_ = OutputManager::getInstance().acceptsOutput(level, context);
+        this->bAcceptsOutput_ = OutputManager::getInstanceAndCreateListeners().acceptsOutput(level, context);
     }
 }