Index: /code/branches/output/src/libraries/util/CMakeLists.txt
===================================================================
--- /code/branches/output/src/libraries/util/CMakeLists.txt	(revision 8779)
+++ /code/branches/output/src/libraries/util/CMakeLists.txt	(revision 8780)
@@ -43,4 +43,5 @@
   output/OutputManager.cc
   output/OutputListener.cc
+  output/ConsoleWriter.cc
   output/LogWriter.cc
   output/MemoryWriter.cc
Index: /code/branches/output/src/libraries/util/output/ConsoleWriter.cc
===================================================================
--- /code/branches/output/src/libraries/util/output/ConsoleWriter.cc	(revision 8780)
+++ /code/branches/output/src/libraries/util/output/ConsoleWriter.cc	(revision 8780)
@@ -0,0 +1,80 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      Reto Grieder
+ *
+ */
+
+#include "ConsoleWriter.h"
+
+#include "OutputManager.h"
+
+namespace orxonox
+{
+namespace test
+{
+    ConsoleWriter::ConsoleWriter()
+    {
+        this->setLevelMax(level::user_info);
+        this->bEnabled_ = true;
+    }
+
+    ConsoleWriter::~ConsoleWriter()
+    {
+    }
+
+    /*static*/ ConsoleWriter& ConsoleWriter::getInstance()
+    {
+        static ConsoleWriter instance;
+        return instance;
+    }
+
+    void ConsoleWriter::output(OutputLevel level, OutputContext context, const std::vector<std::string>& lines)
+    {
+        const std::string& prefix = OutputManager::getInstance().getDefaultPrefix(level, context);
+        std::string blanks(prefix.length(), ' ');
+
+        for (size_t i = 0; i < lines.size(); ++i)
+            std::cout << (i == 0 ? prefix : blanks) << lines[i] << std::endl;
+    }
+
+    void ConsoleWriter::enable()
+    {
+        if (!this->bEnabled_)
+        {
+            OutputManager::getInstance().registerListener(this);
+            this->bEnabled_ = true;
+        }
+    }
+
+    void ConsoleWriter::disable()
+    {
+        if (this->bEnabled_)
+        {
+            OutputManager::getInstance().unregisterListener(this);
+            this->bEnabled_ = false;
+        }
+    }
+}
+}
Index: /code/branches/output/src/libraries/util/output/ConsoleWriter.h
===================================================================
--- /code/branches/output/src/libraries/util/output/ConsoleWriter.h	(revision 8780)
+++ /code/branches/output/src/libraries/util/output/ConsoleWriter.h	(revision 8780)
@@ -0,0 +1,60 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _ConsoleWriter_H__
+#define _ConsoleWriter_H__
+
+#include "util/UtilPrereqs.h"
+#include "OutputListener.h"
+
+namespace orxonox
+{
+namespace test
+{
+    class _UtilExport ConsoleWriter : public OutputListener
+    {
+        public:
+            static ConsoleWriter& getInstance();
+
+            void enable();
+            void disable();
+
+        protected:
+            virtual void output(OutputLevel level, OutputContext context, const std::vector<std::string>& lines);
+
+        private:
+            ConsoleWriter();
+            ConsoleWriter(const ConsoleWriter&);
+            ~ConsoleWriter();
+
+            bool bEnabled_;
+    };
+}
+}
+
+#endif /* _ConsoleWriter_H__ */
Index: /code/branches/output/src/libraries/util/output/OutputManager.cc
===================================================================
--- /code/branches/output/src/libraries/util/output/OutputManager.cc	(revision 8779)
+++ /code/branches/output/src/libraries/util/output/OutputManager.cc	(revision 8780)
@@ -29,7 +29,6 @@
 #include "OutputManager.h"
 
-#include "util/Debug.h"
-#include "OutputListener.h"
 #include "MemoryWriter.h"
+#include "ConsoleWriter.h"
 #include "LogWriter.h"
 
@@ -38,23 +37,4 @@
 namespace test
 {
-    class ConsoleOutput : public OutputListener
-    {
-        public:
-            ConsoleOutput()
-            {
-                this->setLevelMax(level::user_info);
-            }
-
-        protected:
-            virtual void output(OutputLevel level, OutputContext context, const std::vector<std::string>& lines)
-            {
-                const std::string& prefix = OutputManager::getInstance().getDefaultPrefix(level, context);
-                std::string blanks(prefix.length(), ' ');
-
-                for (size_t i = 0; i < lines.size(); ++i)
-                    COUT(0) << (i == 0 ? prefix : blanks) << lines[i] << endl;
-            }
-    };
-
     OutputManager::OutputManager()
     {
@@ -77,6 +57,6 @@
         static OutputManager& instance = OutputManager::getInstance();
 
-        static ConsoleOutput consoleOutputInstance;
         static MemoryWriter& memoryWriterInstance = MemoryWriter::getInstance(); (void)memoryWriterInstance;
+        static ConsoleWriter& consoleWriterInstance = ConsoleWriter::getInstance(); (void)consoleWriterInstance;
         static LogWriter& logWriterInstance = LogWriter::getInstance(); (void)logWriterInstance;
 
@@ -153,5 +133,4 @@
     OutputContext registerContext(const std::string& name)
     {
-        COUT(0) << "### register context " << name << std::endl;
         return OutputManager::getInstance().registerContext(name);
     }