Index: code/branches/output/src/Orxonox.cc
===================================================================
--- code/branches/output/src/Orxonox.cc	(revision 8787)
+++ code/branches/output/src/Orxonox.cc	(revision 8788)
@@ -43,5 +43,5 @@
 #endif
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/Exception.h"
 #include "orxonox/Main.h"
Index: code/branches/output/src/libraries/core/ClassFactory.h
===================================================================
--- code/branches/output/src/libraries/core/ClassFactory.h	(revision 8787)
+++ code/branches/output/src/libraries/core/ClassFactory.h	(revision 8788)
@@ -42,5 +42,5 @@
 #include <string>
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "Identifier.h"
 
Index: code/branches/output/src/libraries/core/CommandLineParser.cc
===================================================================
--- code/branches/output/src/libraries/core/CommandLineParser.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/CommandLineParser.cc	(revision 8788)
@@ -33,5 +33,5 @@
 
 #include "util/Convert.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/Exception.h"
 #include "util/StringUtils.h"
Index: code/branches/output/src/libraries/core/Core.cc
===================================================================
--- code/branches/output/src/libraries/core/Core.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/Core.cc	(revision 8788)
@@ -52,5 +52,5 @@
 
 #include "util/Clock.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/Exception.h"
 #include "util/Scope.h"
Index: code/branches/output/src/libraries/core/CoreIncludes.h
===================================================================
--- code/branches/output/src/libraries/core/CoreIncludes.h	(revision 8787)
+++ code/branches/output/src/libraries/core/CoreIncludes.h	(revision 8788)
@@ -78,5 +78,5 @@
 #include "CorePrereqs.h"
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "Identifier.h"
 #include "ClassFactory.h"
Index: code/branches/output/src/libraries/core/CorePrecompiledHeaders.h
===================================================================
--- code/branches/output/src/libraries/core/CorePrecompiledHeaders.h	(revision 8787)
+++ code/branches/output/src/libraries/core/CorePrecompiledHeaders.h	(revision 8788)
@@ -51,5 +51,5 @@
 #include <set>      // 50
 
-#include "util/Debug.h" // 48
+#include "util/Output.h" // 48
 
 #include <deque>    // 43
Index: code/branches/output/src/libraries/core/GUIManager.cc
===================================================================
--- code/branches/output/src/libraries/core/GUIManager.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/GUIManager.cc	(revision 8788)
@@ -73,5 +73,5 @@
 #include "util/Clock.h"
 #include "util/Convert.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/Exception.h"
 #include "util/Math.h"
Index: code/branches/output/src/libraries/core/Game.cc
===================================================================
--- code/branches/output/src/libraries/core/Game.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/Game.cc	(revision 8788)
@@ -40,5 +40,5 @@
 
 #include "util/Clock.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/Exception.h"
 #include "util/Sleep.h"
Index: code/branches/output/src/libraries/core/Game.h
===================================================================
--- code/branches/output/src/libraries/core/Game.h	(revision 8787)
+++ code/branches/output/src/libraries/core/Game.h	(revision 8788)
@@ -47,5 +47,5 @@
 #include <boost/preprocessor/cat.hpp>
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/DestructionHelper.h"
 #include "util/Singleton.h"
Index: code/branches/output/src/libraries/core/GameState.cc
===================================================================
--- code/branches/output/src/libraries/core/GameState.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/GameState.cc	(revision 8788)
@@ -35,5 +35,4 @@
 #include "GameState.h"
 
-#include "util/Debug.h"
 #include "util/Exception.h"
 #include "util/OrxAssert.h"
Index: code/branches/output/src/libraries/core/Identifier.h
===================================================================
--- code/branches/output/src/libraries/core/Identifier.h	(revision 8787)
+++ code/branches/output/src/libraries/core/Identifier.h	(revision 8788)
@@ -89,5 +89,5 @@
 #include <loki/TypeTraits.h>
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "MetaObjectList.h"
 #include "ObjectList.h"
Index: code/branches/output/src/libraries/core/Language.cc
===================================================================
--- code/branches/output/src/libraries/core/Language.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/Language.cc	(revision 8788)
@@ -35,5 +35,5 @@
 
 #include <fstream>
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/StringUtils.h"
 #include "Core.h"
Index: code/branches/output/src/libraries/core/Loader.cc
===================================================================
--- code/branches/output/src/libraries/core/Loader.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/Loader.cc	(revision 8788)
@@ -33,5 +33,5 @@
 #include <boost/scoped_ptr.hpp>
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/Exception.h"
 #include "util/StringUtils.h"
Index: code/branches/output/src/libraries/core/LuaState.cc
===================================================================
--- code/branches/output/src/libraries/core/LuaState.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/LuaState.cc	(revision 8788)
@@ -37,5 +37,5 @@
 #include <loki/ScopeGuard.h>
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/Exception.h"
 #include "Resource.h"
Index: code/branches/output/src/libraries/core/MetaObjectList.cc
===================================================================
--- code/branches/output/src/libraries/core/MetaObjectList.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/MetaObjectList.cc	(revision 8788)
@@ -34,5 +34,5 @@
 #include "MetaObjectList.h"
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "Identifier.h"
 #include "ObjectListBase.h"
Index: code/branches/output/src/libraries/core/NamespaceNode.cc
===================================================================
--- code/branches/output/src/libraries/core/NamespaceNode.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/NamespaceNode.cc	(revision 8788)
@@ -28,5 +28,5 @@
 
 #include "NamespaceNode.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 
 namespace orxonox
Index: code/branches/output/src/libraries/core/PathConfig.cc
===================================================================
--- code/branches/output/src/libraries/core/PathConfig.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/PathConfig.cc	(revision 8788)
@@ -51,5 +51,5 @@
 
 #include "SpecialConfig.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/Exception.h"
 #include "CommandLineParser.h"
Index: code/branches/output/src/libraries/core/SubclassIdentifier.h
===================================================================
--- code/branches/output/src/libraries/core/SubclassIdentifier.h	(revision 8787)
+++ code/branches/output/src/libraries/core/SubclassIdentifier.h	(revision 8788)
@@ -69,5 +69,5 @@
 
 #include <cstdlib>
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "Identifier.h"
 
Index: code/branches/output/src/libraries/core/Super.h
===================================================================
--- code/branches/output/src/libraries/core/Super.h	(revision 8787)
+++ code/branches/output/src/libraries/core/Super.h	(revision 8788)
@@ -73,5 +73,5 @@
 
 #include "CorePrereqs.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 
 ///////////////////////
Index: code/branches/output/src/libraries/core/Template.cc
===================================================================
--- code/branches/output/src/libraries/core/Template.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/Template.cc	(revision 8788)
@@ -32,5 +32,5 @@
 #include <tinyxml/ticpp.h>
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "CoreIncludes.h"
 #include "XMLPort.h"
Index: code/branches/output/src/libraries/core/XMLPort.h
===================================================================
--- code/branches/output/src/libraries/core/XMLPort.h	(revision 8787)
+++ code/branches/output/src/libraries/core/XMLPort.h	(revision 8788)
@@ -53,5 +53,5 @@
 #include <tinyxml/ticpp.h>
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/Exception.h"
 #include "util/MultiType.h"
Index: code/branches/output/src/libraries/core/command/ConsoleCommandCompilation.cc
===================================================================
--- code/branches/output/src/libraries/core/command/ConsoleCommandCompilation.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/command/ConsoleCommandCompilation.cc	(revision 8788)
@@ -38,5 +38,5 @@
 #include <string>
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/ExprParser.h"
 #include "util/StringUtils.h"
Index: code/branches/output/src/libraries/core/command/Executor.cc
===================================================================
--- code/branches/output/src/libraries/core/command/Executor.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/command/Executor.cc	(revision 8788)
@@ -38,5 +38,5 @@
 
 #include "util/Convert.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/StringUtils.h"
 #include "util/SubString.h"
Index: code/branches/output/src/libraries/core/command/Functor.h
===================================================================
--- code/branches/output/src/libraries/core/command/Functor.h	(revision 8787)
+++ code/branches/output/src/libraries/core/command/Functor.h	(revision 8788)
@@ -118,5 +118,5 @@
 #include <typeinfo>
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/MultiType.h"
 #include "core/OrxonoxClass.h"
Index: code/branches/output/src/libraries/core/command/TclBind.cc
===================================================================
--- code/branches/output/src/libraries/core/command/TclBind.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/command/TclBind.cc	(revision 8788)
@@ -34,5 +34,5 @@
 
 #include "SpecialConfig.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/Exception.h"
 #include "util/StringUtils.h"
Index: code/branches/output/src/libraries/core/input/Button.cc
===================================================================
--- code/branches/output/src/libraries/core/input/Button.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/input/Button.cc	(revision 8788)
@@ -38,5 +38,5 @@
 #include "util/SubString.h"
 #include "util/StringUtils.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "core/command/ConsoleCommand.h"
 #include "core/command/CommandEvaluation.h"
Index: code/branches/output/src/libraries/core/input/InputDevice.h
===================================================================
--- code/branches/output/src/libraries/core/input/InputDevice.h	(revision 8787)
+++ code/branches/output/src/libraries/core/input/InputDevice.h	(revision 8788)
@@ -43,5 +43,5 @@
 
 #include "util/Clock.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/Exception.h"
 #include "InputState.h"
Index: code/branches/output/src/libraries/core/input/KeyBinder.cc
===================================================================
--- code/branches/output/src/libraries/core/input/KeyBinder.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/input/KeyBinder.cc	(revision 8788)
@@ -32,5 +32,5 @@
 #include <sstream>
 #include "util/Convert.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/Exception.h"
 #include "core/ConfigValueIncludes.h"
Index: code/branches/output/src/libraries/core/input/KeyBinderManager.cc
===================================================================
--- code/branches/output/src/libraries/core/input/KeyBinderManager.cc	(revision 8787)
+++ code/branches/output/src/libraries/core/input/KeyBinderManager.cc	(revision 8788)
@@ -29,5 +29,5 @@
 #include "KeyBinderManager.h"
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/Exception.h"
 #include "util/ScopedSingletonManager.h"
Index: code/branches/output/src/libraries/network/Client.cc
===================================================================
--- code/branches/output/src/libraries/network/Client.cc	(revision 8787)
+++ code/branches/output/src/libraries/network/Client.cc	(revision 8788)
@@ -44,5 +44,5 @@
 
 #include "util/Clock.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/ScopedSingletonManager.h"
 #include "synchronisable/Synchronisable.h"
Index: code/branches/output/src/libraries/network/ClientConnection.cc
===================================================================
--- code/branches/output/src/libraries/network/ClientConnection.cc	(revision 8787)
+++ code/branches/output/src/libraries/network/ClientConnection.cc	(revision 8788)
@@ -32,5 +32,5 @@
 #define WIN32_LEAN_AND_MEAN
 #include <enet/enet.h>
-#include "util/Debug.h"
+#include "util/Output.h"
 
 namespace orxonox
Index: code/branches/output/src/libraries/network/GamestateManager.cc
===================================================================
--- code/branches/output/src/libraries/network/GamestateManager.cc	(revision 8787)
+++ code/branches/output/src/libraries/network/GamestateManager.cc	(revision 8788)
@@ -52,5 +52,5 @@
 #include "core/command/Executor.h"
 #include "core/GameMode.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/Clock.h"
 #include "util/OrxAssert.h"
Index: code/branches/output/src/libraries/network/LANDiscoverable.cc
===================================================================
--- code/branches/output/src/libraries/network/LANDiscoverable.cc	(revision 8787)
+++ code/branches/output/src/libraries/network/LANDiscoverable.cc	(revision 8788)
@@ -33,5 +33,5 @@
 #include <cstring>
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "packet/ServerInformation.h"
 
Index: code/branches/output/src/libraries/network/MasterServerComm.cc
===================================================================
--- code/branches/output/src/libraries/network/MasterServerComm.cc	(revision 8787)
+++ code/branches/output/src/libraries/network/MasterServerComm.cc	(revision 8788)
@@ -28,5 +28,5 @@
 
 #include "MasterServerComm.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 
 namespace orxonox
Index: code/branches/output/src/libraries/network/NetworkPrecompiledHeaders.h
===================================================================
--- code/branches/output/src/libraries/network/NetworkPrecompiledHeaders.h	(revision 8787)
+++ code/branches/output/src/libraries/network/NetworkPrecompiledHeaders.h	(revision 8788)
@@ -52,5 +52,5 @@
 #include <set>      // 20
 
-#include "util/Debug.h"      // 20
+#include "util/Output.h"      // 20
 #include <loki/TypeTraits.h> // 18
 
Index: code/branches/output/src/libraries/network/Server.cc
===================================================================
--- code/branches/output/src/libraries/network/Server.cc	(revision 8787)
+++ code/branches/output/src/libraries/network/Server.cc	(revision 8788)
@@ -47,5 +47,5 @@
 
 #include "util/Clock.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "core/ObjectList.h"
 #include "core/command/Executor.h"
Index: code/branches/output/src/libraries/network/ServerConnection.cc
===================================================================
--- code/branches/output/src/libraries/network/ServerConnection.cc	(revision 8787)
+++ code/branches/output/src/libraries/network/ServerConnection.cc	(revision 8788)
@@ -34,5 +34,5 @@
 #include <enet/enet.h>
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include <util/Sleep.h>
 // #include "ClientInformation.h"
Index: code/branches/output/src/libraries/network/packet/Acknowledgement.cc
===================================================================
--- code/branches/output/src/libraries/network/packet/Acknowledgement.cc	(revision 8787)
+++ code/branches/output/src/libraries/network/packet/Acknowledgement.cc	(revision 8788)
@@ -29,5 +29,5 @@
 #include "Acknowledgement.h"
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "network/GamestateHandler.h"
 #include "network/Host.h"
Index: code/branches/output/src/libraries/network/packet/DeleteObjects.cc
===================================================================
--- code/branches/output/src/libraries/network/packet/DeleteObjects.cc	(revision 8787)
+++ code/branches/output/src/libraries/network/packet/DeleteObjects.cc	(revision 8788)
@@ -31,5 +31,5 @@
 
 #include <cassert>
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "network/synchronisable/Synchronisable.h"
 
Index: code/branches/output/src/libraries/network/packet/FunctionIDs.cc
===================================================================
--- code/branches/output/src/libraries/network/packet/FunctionIDs.cc	(revision 8787)
+++ code/branches/output/src/libraries/network/packet/FunctionIDs.cc	(revision 8788)
@@ -34,5 +34,5 @@
 #include <string>
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "core/ObjectList.h"
 #include "network/NetworkFunction.h"
Index: code/branches/output/src/libraries/network/packet/Gamestate.cc
===================================================================
--- code/branches/output/src/libraries/network/packet/Gamestate.cc	(revision 8787)
+++ code/branches/output/src/libraries/network/packet/Gamestate.cc	(revision 8788)
@@ -31,5 +31,5 @@
 #include <zlib.h>
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "util/OrxAssert.h"
 #include "core/GameMode.h"
Index: code/branches/output/src/libraries/network/packet/Packet.cc
===================================================================
--- code/branches/output/src/libraries/network/packet/Packet.cc	(revision 8787)
+++ code/branches/output/src/libraries/network/packet/Packet.cc	(revision 8788)
@@ -37,5 +37,5 @@
 #include <boost/thread/mutex.hpp>
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "Acknowledgement.h"
 #include "Chat.h"
Index: code/branches/output/src/libraries/network/packet/Welcome.cc
===================================================================
--- code/branches/output/src/libraries/network/packet/Welcome.cc	(revision 8787)
+++ code/branches/output/src/libraries/network/packet/Welcome.cc	(revision 8788)
@@ -32,5 +32,5 @@
 
 #include <cassert>
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "network/Host.h"
 #include "network/synchronisable/Synchronisable.h"
Index: code/branches/output/src/libraries/util/Clipboard.cc
===================================================================
--- code/branches/output/src/libraries/util/Clipboard.cc	(revision 8787)
+++ code/branches/output/src/libraries/util/Clipboard.cc	(revision 8788)
@@ -48,5 +48,5 @@
 #undef min
 #undef max
-#include "Debug.h"
+#include "Output.h"
 
 namespace orxonox
Index: code/branches/output/src/libraries/util/Convert.h
===================================================================
--- code/branches/output/src/libraries/util/Convert.h	(revision 8787)
+++ code/branches/output/src/libraries/util/Convert.h	(revision 8788)
@@ -130,5 +130,5 @@
 #include <loki/TypeManip.h>
 
-#include "Debug.h"
+#include "Output.h"
 #include "ImplicitConversion.h"
 
Index: code/branches/output/src/libraries/util/Exception.cc
===================================================================
--- code/branches/output/src/libraries/util/Exception.cc	(revision 8787)
+++ code/branches/output/src/libraries/util/Exception.cc	(revision 8788)
@@ -37,5 +37,5 @@
 #include <cstddef>
 #include <CEGUIExceptions.h>
-#include "Debug.h"
+#include "Output.h"
 
 namespace orxonox
Index: code/branches/output/src/libraries/util/Exception.h
===================================================================
--- code/branches/output/src/libraries/util/Exception.h	(revision 8787)
+++ code/branches/output/src/libraries/util/Exception.h	(revision 8788)
@@ -63,5 +63,5 @@
 #include <sstream>
 #include <string>
-#include "Debug.h"
+#include "Output.h"
 
 namespace orxonox
Index: code/branches/output/src/libraries/util/OrxAssert.h
===================================================================
--- code/branches/output/src/libraries/util/OrxAssert.h	(revision 8787)
+++ code/branches/output/src/libraries/util/OrxAssert.h	(revision 8788)
@@ -40,5 +40,5 @@
 
 #include <cassert>
-#include "Debug.h"
+#include "Output.h"
 
 #ifndef NDEBUG
Index: code/branches/output/src/libraries/util/Scope.h
===================================================================
--- code/branches/output/src/libraries/util/Scope.h	(revision 8787)
+++ code/branches/output/src/libraries/util/Scope.h	(revision 8788)
@@ -60,5 +60,5 @@
 #include <loki/ScopeGuard.h>
 
-#include "Debug.h"
+#include "Output.h"
 
 namespace orxonox
Index: code/branches/output/src/libraries/util/SignalHandler.cc
===================================================================
--- code/branches/output/src/libraries/util/SignalHandler.cc	(revision 8787)
+++ code/branches/output/src/libraries/util/SignalHandler.cc	(revision 8788)
@@ -39,5 +39,5 @@
 #include <cstdio>
 
-#include "Debug.h"
+#include "Output.h"
 
 namespace orxonox
Index: code/branches/output/src/libraries/util/Sleep.cc
===================================================================
--- code/branches/output/src/libraries/util/Sleep.cc	(revision 8787)
+++ code/branches/output/src/libraries/util/Sleep.cc	(revision 8788)
@@ -34,5 +34,5 @@
 
 #include "Sleep.h"
-#include "Debug.h"
+#include "Output.h"
 
 #ifdef ORXONOX_PLATFORM_WINDOWS
Index: code/branches/output/src/libraries/util/SubString.cc
===================================================================
--- code/branches/output/src/libraries/util/SubString.cc	(revision 8787)
+++ code/branches/output/src/libraries/util/SubString.cc	(revision 8788)
@@ -45,5 +45,5 @@
 #include "SubString.h"
 #include <cstdio>
-#include "Debug.h"
+#include "Output.h"
 
 namespace orxonox
Index: code/branches/output/src/modules/weapons/RocketController.cc
===================================================================
--- code/branches/output/src/modules/weapons/RocketController.cc	(revision 8787)
+++ code/branches/output/src/modules/weapons/RocketController.cc	(revision 8788)
@@ -31,5 +31,5 @@
 #include "util/Math.h"
 #include "weapons/projectiles/SimpleRocket.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "weapons/weaponmodes/SimpleRocketFire.h"
 #include "worldentities/pawns/Pawn.h"
Index: code/branches/output/src/modules/weapons/projectiles/SimpleRocket.cc
===================================================================
--- code/branches/output/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 8787)
+++ code/branches/output/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 8788)
@@ -41,5 +41,5 @@
 #include "weapons/RocketController.h"
 #include "sound/WorldSound.h"
-#include "util/Debug.h"
+#include "util/Output.h"
 
 namespace orxonox
Index: code/branches/output/src/orxonox/gamestates/GSClient.cc
===================================================================
--- code/branches/output/src/orxonox/gamestates/GSClient.cc	(revision 8787)
+++ code/branches/output/src/orxonox/gamestates/GSClient.cc	(revision 8788)
@@ -29,5 +29,4 @@
 #include "GSClient.h"
 
-#include "util/Debug.h"
 #include "util/Exception.h"
 #include "core/CommandLineParser.h"
Index: code/branches/output/src/orxonox/gamestates/GSMasterServer.cc
===================================================================
--- code/branches/output/src/orxonox/gamestates/GSMasterServer.cc	(revision 8787)
+++ code/branches/output/src/orxonox/gamestates/GSMasterServer.cc	(revision 8788)
@@ -30,5 +30,5 @@
 #include "GSMasterServer.h"
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "core/Game.h"
 #include "core/GameMode.h"
Index: code/branches/output/src/orxonox/gamestates/GSServer.cc
===================================================================
--- code/branches/output/src/orxonox/gamestates/GSServer.cc	(revision 8787)
+++ code/branches/output/src/orxonox/gamestates/GSServer.cc	(revision 8788)
@@ -29,5 +29,5 @@
 #include "GSServer.h"
 
-#include "util/Debug.h"
+#include "util/Output.h"
 #include "core/CommandLineParser.h"
 #include "core/Game.h"